/******************************************************
 *                                                    *
 *      Lesson 7: Passing pointers to a function      *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *    This is basically the same thing as copying in  *
 * variables to a function.  The difference is that   *
 * when the variables are changed in the function,    *
 * they are changed in the function that called the   *
 * function it was passed into.                       *
 *                                                    *
 ******************************************************/

#include "huc.h"

main()
{
  int x;

  x = 7;

  myPassFunction(&x);  /*this will call myPassFunction(x) and the
                            result is it changes the value passed in.*/
			/* &x is the address of x, it's a pointer toward x */

  /*After running the function, x is now 5*/

  return(0);
}



myPassFunction(x)  /*Same as a basic copying function*/
              int *x;  /*the star infront of the variable says it's a
                         pointer to the real variable*/
{
  /*when you change the value of *x, it changes in the function
    that called it*/

  *x = *x - 2;

  /*while x is the address of x, as an argument, you can't change its
    value. However *x is the memory pointed by x and if you change it
    from here, the changes will be repercuted in the calling 
    function.
    You can think '*' as the inverse operator of '&'.
    '&x' gives the address of x, while *x gives the value pointed by
    x. So, *(&x) == x */
}
