/******************************************************
 *                                                    *
 *            Lesson 12: Creating for loops           *
 *                                                    *
 * Description:                                       *
 *                                                    *
 *   For loops have 4 parts: the init code, condition *
 * code, cycle code, and execution code.  The init    *
 * code is run once, when entering the loop for the   *
 * first time.  This code is generally used to start  *
 * a counter. The condition code is an if statement   *
 * that is tested everytime before executing any code.*
 * Part of the condition usually involves the counter.*
 * The cycle code is run at the end of every cycle    *
 * and it usually increments the counter.  The        *
 * execution code is run every cycle.                 *
 *                                                    *
 ******************************************************/

#include "huc.h"

main()
{
  int x;

/*
        This sets the value of x to zero when the for loop is started
        +->(init code)
        |
        |      This is the same as an if statement, if it's false it
        |      won't run the code inside the loop anymore
        |      +->(condition code)
        |      |
        |      |        This increments x by one every cycle
        |      |        +->(cycle code)
       \|/    \|/      \|/                                         */
  for(x = 0; x < 9; x = x + 1)
  {
    /* (execution code)
      - code to be executed should be put in here
      - you can access all accessable variables the function
      - you can access the x variable
      - in this case the execution code is run 9 times
    */
  }

  return(0);
}
